Managed Databases
Get managed database details
get
/managed-databases/{md_uuid}View detailed information about a managed database: engine, plan, replicas, connection endpoint and the latest health measured on its server.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
md_uuid*string
Respuestas
Successful Response
application/json
uuid*string
project_id*integer
name*string
label?string | null
engine*string
version*string
topology*string
replicas*integer
status*string
endpoint_host?string | null
endpoint_port?integer | null
plan*ManagedDatabasePlanOut
Propiedades (9)
uuid*string
name*string
description?string | null
engine*string
cpu*integer
memory_gb*integer
storage_gb*integer
max_replicas*integer
price_per_hour*number
location*LocationSummaryOut
Propiedades (3)
id*integer
location_name*string
description?string | null
backup_enabled?boolean
Por defecto
falsebackup_schedule_cron?string | null
backup_retention_days?integer
Por defecto
7billing_type*string
protected?boolean
Por defecto
falseupdated_at*string
Formato
date-timehealth?ManagedDatabaseHealthOut | null
What the database engine says about itself, from the latest measurement of its server (taken every 30 seconds). up is false when the engine could not be reached, with error_kind saying why (tcp, tls, auth, timeout, query...).
Propiedades (14)
polled_at*integer
up*boolean
role?string | null
version?string | null
uptime_s*integer
connections*integer
max_connections*integer
threads_running*integer
data_bytes?integer | null
latency_ms*integer
error_kind*string
nodes_total*integer
nodes_up*integer
details?record<string, integer | boolean> | null
metrics_available?boolean
Por defecto
truenodes?array<ManagedDatabaseNodeOut>
Propiedades (8)
ordinal*integer
status*string
role?string | null
up?boolean | null
replication_state?string | null
lag_seconds?number | null
lag_bytes?integer | null
polled_at?integer | null
read_host*string | null
Host for reads (<id>-ro): the healthy replicas, or the primary when there is none. Same port and credentials as endpoint_host; reads can be slightly behind the primary.
backup_hour_utc*integer | null
Hour (UTC) of the daily full backup.